TYPO3 Version: 6.2
Complexity:
Is Regression: No
Sprint Focus:
Subject: simulatestatic + tt_news + config.simulateStaticDocuments_pEnc broken in 6.2
Description

I've upgraded from 4.7 to 6.2
In 4.7 I used simulatestaticdocuments with simulateStaticDocuments_pEnc_onlyP in order to get links to tt_news items (list and
single) of the form
PAGEID+HASH.html
For example http://hostename/40+M5bcbc2ad9be.html

In 6.2, I installed the separate simulatestatic 2.0 from TER and the links in tt_news LIST are still created like this, but they to not work
anymore. I get either a 404 error (upgraded 4.7 installation) or a "no news_id given" (blank install). I also tried on a completely new 6.2
installation to make sure that my old site conf does not interferer.

I couldn't find any special new configuration options. This seems related to #36025 and maybe #56491

My config is
config.simulateStaticDocuments = 1
config.simulateStaticDocuments_noTypeIfNoTitle = 1
config.simulateStaticDocuments_pEnc = md5
config.simulateStaticDocuments_pEnc_onlyP = tx_ttnews[pointer],
tx_ttnews[tt_news],tx_ttnews[backPid],tx_ttnews[pS],tx_ttnews[pL],tx_ttnews[arc], tt_news,cHash, tx_ttnews[backPid], tx_ttnews[pS],
tx_ttnews[pL], tx_ttnews[cat], tx_ttnews[pointer], tx_ttnews[swords]

I have PHP 5.5

Related issues:
related to Core - Task # 36025: Make simulatestatic TER ready Resolved 2012-04-14

History
#1 - 2014-08-10 10:41 - Hugo no-lastname-given

same problem on upgrade from 6.1 to 6.2

#2 - 2014-08-11 12:16 - Markus Klein
- Status changed from New to Needs Feedback

Hi!

simulatestatic was removed from Core with 6.0 already. The sysext was moved to TER and the Core got a hook such that this old extension would still
work for a while.
With 6.2 this hook (which was only introduced for the deprecation grace period) got removed again.
As far as I know, the simulatestatic extension is not maintained anymore and is therefore incompatible with 6.2.

If you still need this old outdated way of generating URLs, please adopt the simulatestatic extension to use the same hooks that other url-rewriting
extension use. (e.g. realurl, cooluri)
The extension is not maintained by Core contributors anymore.

#3 - 2014-12-11 17:52 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
